Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Enabling Mod_Ruid2 in EA4

Discussion in 'EasyApache' started by Spork Schivago, Nov 7, 2016.

  1. Spork Schivago

    Spork Schivago Well-Known Member

    Joined:
    Jan 21, 2016
    Messages:
    514
    Likes Received:
    54
    Trophy Points:
    28
    Location:
    corning, ny
    cPanel Access Level:
    Root Administrator
    I'm running cPanel 60.0.15. For some reason, when I select Mod_RUID2 in EasyApache 4, at the end, where I go to provision, it doesn't show Mod_RUID2. It shows no changes (nothing being added, removed, updated, etc). This made me think that it was being blocked still, but perhaps I have something else configured that's blocking it or I'm missing something...
     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    38,658
    Likes Received:
    1,427
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello,

    Could you verify if Mod_Ruid2 is already installed on the system? You can check with a command such as:

    Code:
    rpm -qa|grep ruid2
    Thank you.
     
  3. Spork Schivago

    Spork Schivago Well-Known Member

    Joined:
    Jan 21, 2016
    Messages:
    514
    Likes Received:
    54
    Trophy Points:
    28
    Location:
    corning, ny
    cPanel Access Level:
    Root Administrator
    It's not already installed. Thanks for helping.
     
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    38,658
    Likes Received:
    1,427
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello,

    Could you let us know which profile you are starting with, and any other specific changes you are making?

    Thank you.
     
  5. Spork Schivago

    Spork Schivago Well-Known Member

    Joined:
    Jan 21, 2016
    Messages:
    514
    Likes Received:
    54
    Trophy Points:
    28
    Location:
    corning, ny
    cPanel Access Level:
    Root Administrator
    Sure. In Easy Apache 4, I have:
    Code:
    Apache 2.4, PHP 7.0, and PHP 7.1
    
    Current Profile
    The currently installed packages on the server.
    
    Apache 2.4
    config
    config-runtime
    mod_bwlimited
    mod_cgi
    mod_deflate
    mod_expires
    mod_headers
    mod_mpm_itk
    mod_mpm_prefork
    mod_proxy
    mod_proxy_fcgi
    mod_proxy_http
    mod_security2
    mod_ssl
    mod_unique_id
    tools
    
    PHP 7.0
    libc-client
    pear
    php-bcmath
    php-calendar
    php-cli
    php-common
    php-curl
    php-devel
    php-fpm
    php-ftp
    php-gd
    php-imap
    php-mcrypt
    php-mysqlnd
    php-pdo
    php-posix
    php-sockets
    php-xml
    runtime
    
    PHP 7.1
    pear
    php-cli
    php-common
    php-devel
    php-fpm
    php-ftp
    php-posix
    php-xml
    runtime
    
    Others
    apr
    apr-util
    cpanel-tools
    documentroot
    libmcrypt
    php-cli
    profiles-cpanel
    
    Is there any other information you need me to provide? Thanks for trying to help.
     
  6. Spork Schivago

    Spork Schivago Well-Known Member

    Joined:
    Jan 21, 2016
    Messages:
    514
    Likes Received:
    54
    Trophy Points:
    28
    Location:
    corning, ny
    cPanel Access Level:
    Root Administrator
    Also,

    EasyApache 4 doesn't support the mod_fcgid and mod_fcgi modules, right? I wanted FastCGI for my PHP handler instead of cgi, but maybe I can only have CGI as my PHP handler. If that's the case, should I unselect mod_proxy_fcgi? My only options for a PHP handler seem to be CGI or none. Thanks.
     
  7. Spork Schivago

    Spork Schivago Well-Known Member

    Joined:
    Jan 21, 2016
    Messages:
    514
    Likes Received:
    54
    Trophy Points:
    28
    Location:
    corning, ny
    cPanel Access Level:
    Root Administrator
    I pick Install for mod_ruid2 under Apache Modules in EA4. I keep everything else the same, I make my way to Review and this is what I see:
    Code:
    Please review the following list of packages you are about to install by provisioning this profile.
    There are no packages to be installed.
    
    Please review the following list of packages you are about to upgrade by provisioning this profile.
    There are no packages to be upgraded.
    
    Please review the following list of packages you are about to uninstall by provisioning this profile.
    There are no packages to be uninstalled.
    
    These packages will not be affected by provisioning this profile.
    [LIST]
    [*]apache24
    [*]apr
    [*]apr-util
    [*]config
    [*]config-runtime
    [*]cpanel-tools
    [*]documentroot
    [*]libmcrypt
    [*]mod_bwlimited
    [*]mod_cgi
    [*]mod_deflate
    [*]mod_expires
    [*]mod_headers
    [*]mod_mpm_itk
    [*]mod_mpm_prefork
    [*]mod_proxy
    [*]mod_proxy_fcgi
    [*]mod_proxy_http
    [*]mod_security2
    [*]mod_ssl
    [*]mod_unique_id
    [*]php-cli
    [*]php70
    [*]php70-libc-client
    [*]php70-pear
    [*]php70-php-bcmath
    [*]php70-php-calendar
    [*]php70-php-cli
    [*]php70-php-common
    [*]php70-php-curl
    [*]php70-php-devel
    [*]php70-php-fpm
    [*]php70-php-ftp
    [*]php70-php-gd
    [*]php70-php-imap
    [*]php70-php-mcrypt
    [*]php70-php-mysqlnd
    [*]php70-php-pdo
    [*]php70-php-posix
    [*]php70-php-sockets
    [*]php70-php-xml
    [*]php70-runtime
    [*]php71
    [*]php71-pear
    [*]php71-php-cli
    [*]php71-php-common
    [*]php71-php-devel
    [*]php71-php-fpm
    [*]php71-php-ftp
    [*]php71-php-posix
    [*]php71-php-xml
    [*]php71-runtime
    [*]profiles-cpanel
    [*]tools
    [/LIST]
    There are no changes needed to provision based on the profile of your selection.
    
    I go back to Apache Modules and search for mod_ruid2 and I see that it's still listed as Install, but for some reason, it just doesn't install...
     
  8. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    38,658
    Likes Received:
    1,427
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    MPM ITK isn't compatible with Mod_Ruid2 and will result in EasyApache 4 disabling Mod_Ruid2 before the provision. Documentation on the MPM ITK incompatibility is available at:

    Apache Module: MPM ITK - EasyApache 4 - cPanel Documentation

    You should leave that feature enabled if you'd like to use PHP-FPM. Otherwise, note the following feature request for Apache mod_fcgid:

    EasyApache 4 mod_fcgid

    Thank you.
     
  9. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    38,658
    Likes Received:
    1,427
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    I opened case EA-5624 to address this issue, and I'll update this thread with more information on the status of this case as it becomes available.

    I moved the additional question to the following thread:

    Mod_Security DBM Question

    Thanks!
     
    Spork Schivago likes this.
  10. Spork Schivago

    Spork Schivago Well-Known Member

    Joined:
    Jan 21, 2016
    Messages:
    514
    Likes Received:
    54
    Trophy Points:
    28
    Location:
    corning, ny
    cPanel Access Level:
    Root Administrator
    Thank you.

    [Moved to related Thread]
     
    #10 Spork Schivago, Nov 10, 2016
    Last edited by a moderator: Nov 10, 2016
  11. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    38,658
    Likes Received:
    1,427
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello,

    To update, the following case in cPanel version 60.0.22 addresses this issue:

    Fixed case CPANEL-9582: Fixed adding conflicts properly with _.union.

    Thanks!
     
  12. Spork Schivago

    Spork Schivago Well-Known Member

    Joined:
    Jan 21, 2016
    Messages:
    514
    Likes Received:
    54
    Trophy Points:
    28
    Location:
    corning, ny
    cPanel Access Level:
    Root Administrator
    cPanelMichael,

    What exactly does the CPANEL-9582 fix, fix? Thanks!
     
  13. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    38,658
    Likes Received:
    1,427
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello,

    A warning box will appear when attempting to enable a module that's not compatible with your current selections in the EA4 UI (e.g. you select Mod_Ruid2 when MPM ITK is enabled).

    Thank you.
     
    Spork Schivago likes this.
  14. Spork Schivago

    Spork Schivago Well-Known Member

    Joined:
    Jan 21, 2016
    Messages:
    514
    Likes Received:
    54
    Trophy Points:
    28
    Location:
    corning, ny
    cPanel Access Level:
    Root Administrator
    Thanks cPanelMichael!
     
    cPanelMichael likes this.
Loading...

Share This Page